<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.MoveNextItem Method (LockingInfo)
JoinCursor Class See Also Send Feedback

Iterate over the values associated with the keys to which each SecondaryCursor passed to Join(array<SecondaryCursor>[]()[], Boolean) was initialized. Any data value that appears in all SecondaryCursors is then stored in Current.Key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNextItem(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextItem ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextItem(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

Current.Value will contain an empty DatabaseEntry.

# See Also

JoinCursor Class
MoveNextItem Overload
BerkeleyDB Namespace